Anonymous
Anonymous asked in 電腦與網際網路程式設計 · 1 decade ago

Eclipse: 不知如何run java程式

之前我用UltraEdit來寫java程式

現在改成Eclipse~下載好了打開

但卻不能run..(更別說執行了)

我想按run as但只出現反白none applicable

還有新增一個class檔也發生問題

它一定要你填入Source Folder..但不管填什麼它都說...does not exist

請問倒底要怎麼設啊?

我花了一個晚上找解答也找到很多Eclipse教學網站

只是每個不是連的超慢就是找不到網頁...

只是想換個Eclipse來寫真的那麼難嗎? > <

Update:

謝謝~我知道怎麼新增class檔了

但我還是無法run~按run as但還是出現反白none applicable...

我有裝JDK了..我寫java也一年有了 我只是想換個開發工具

Update 2:

Dear 索命黃道帶:

我按照你的話試過了~run as還是出現反白none applicable

只是我的Compiler compliance level只到1.6。。。

4 Answers

Rating
  • 1 decade ago
    Favorite Answer

    eclipse 是 IBM 花費四千萬美金所開發的 IDE

    說他是地表上最強勢的 IDE 也絕對不為過

    我用它來開發 JEE Web System 也游刃有餘 (eclipse jee版本)

    使用 eclipse 必須先裝 JDK, 請至 sun 的網站下載

    開啟 eclipse

    -> file \ new project

    -> file \ new class

    -> run \ run as java application

  • 吉他
    Lv 5
    1 decade ago

    我也是最近才開始用eclipse,有點不習慣,eclipse不能直接去開啟你在某個資料夾寫好的程式來執行,要先建立專案,之後再專裡面看你是要用預設的套件還是自己再建立一個套件,然後再套件下才可以再建立class,也就是java檔,有這樣完整的路徑,你去按執行,他才會找到你的java檔並編譯,而且編譯執行時eclipse會建立一個bin,裡面就是編譯後並執行的class檔

    2008-08-05 15:53:43 補充:

    補充說明一下,jdk的版本1.6就是6.0,java從1.4版之後就正名了,雖然版本是寫1.5、1.6,但已經都更正正名為5.0版、6.0版~

  • 1 decade ago

    一開始要選java project,不是project.

    這樣才能run.

    我的經驗.

    試試看吧!

  • 1 decade ago

    你可以先確定以下的設定是否存在:

    ①功能表→Window→Preferences→Java→Installed JREs→在右邊的表格中檢查是否存在已被Eclipse讀取到的JRE,如果表格不存在任何的JRE項目,請按右邊的Search按鈕來尋找已安裝的JRE。

    ②功能表→Window→Preferences→Java→Compiler→在右邊的JDK Compliance區塊中,依JDK版本選擇合適的Compiler compliance level,例如6.0,然後再將Use default compiler settings選項打勾。

    P.S:以上二項請先確認是否有設定,如果情況還是一樣,麻煩再補充。

    2008-08-05 07:31:24 補充:

    你可以參考意見區中,吉他手大大所提供的方式新增類別;

    至於Compiler compliance level的設定,如果你的JRE是1.6版以上的,則需要設定為6.0,而1.5版的則設為5.0;

    另外,當你在執行Run As的功能時,你必須確認你所欲進行執行的程式碼中有含main方法;

    不然你也可以執行功能表→Open Run Dialog→在出現的Run視窗的左邊區域中,選擇Java Application類型來進一步做設定,設定完後直接執行底下的Run按鈕就可執行了。

    P.S:如果情況還是一樣,麻煩再補充告知。

    Source(s): Zodiac, Zodiac
Still have questions? Get your answers by asking now.